Docker downgrade to 4.2.5 not working

If you run qBittorrent in / with Docker.
Post Reply
pjg91
Newbie
Newbie
Posts: 2
Joined: Mon Jan 25, 2021 9:20 pm

Docker downgrade to 4.2.5 not working

Post by pjg91 »

i'm having troubles downgrading to version 4.2.5.
My Docker Compose file used to look like this:

qbittorrent:
image: linuxserver/qbittorrent
container_name: "qbittorrent"
volumes:
- ${USERDIR}/docker/qbittorrent:/config
- ${USERDIR}/video/downloads:/downloads
- ${USERDIR}/video/shared:/shared
ports:
- "9003:9003"
- "6881:6881"
- "6881:6881/udp"
restart: always
environment:
- PUID=${PUID}
- PGID=${PGID}
- TZ=${TZ}
- UMASK_SET=002
- WEBUI_PORT=9003

And now I changed it to:

qbittorrent:
image: linuxserver/qbittorrent:14.2.5.99202004250119-7015-2c65b79ubuntu18.04.1-ls93
container_name: "qbittorrent"
volumes:
- ${USERDIR}/docker/qbittorrent:/config
- ${USERDIR}/video/downloads:/downloads
- ${USERDIR}/video/shared:/shared
ports:
- "9003:9003"
- "6881:6881"
- "6881:6881/udp"
restart: always
environment:
- PUID=${PUID}
- PGID=${PGID}
- TZ=${TZ}
- UMASK_SET=002
- WEBUI_PORT=9003e


But still, after a reboot of my ubuntu machine, it starts as 4.3.3
User avatar
Peter
Administrator
Administrator
Posts: 1996
Joined: Wed Jul 07, 2010 6:14 pm

Re: Docker downgrade to 4.2.5 not working

Post by Peter »

Well I don't use qBittorrent in Docker, but I suppose you need to do a "docker-compose pull" (in the folder where you have the .yaml file) once you change the config file/images in the file.
Post Reply